import { StorageLimitType, STORAGE_EXPIRED } from './constants';
import { BlStroageInfo } from './index.type';
declare class BlLocalStorage {
    orgId?: number;
    userId?: number;
    private static instance;
    private constructor();
    static getInstance(): BlLocalStorage;
    setBaseInfo: (userId?: number | undefined, orgId?: number | undefined) => void;
    clearBaseInfo: () => void;
    getLimitKey: (limitType: StorageLimitType) => string;
    get(key: string): BlStroageInfo['data'];
    set(key: string, data: any, option?: {
        expiration?: number;
        limitType?: StorageLimitType;
    }): void;
    remove(key: string): void;
    clear(): void;
    private getStorageMeta;
    private getStorageData;
}
export { BlLocalStorage, StorageLimitType, STORAGE_EXPIRED };
